libetonyek::PAG1TextStorageElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::PAG1TextStorageElement Class Reference

`#include <PAG1TextStorageElement.h>`

Inheritance diagram for libetonyek::PAG1TextStorageElement:

## Public Member Functions
| PAG1TextStorageElement (PAG1ParserState &state, const PAGTextStorageKind kind=PAG_TEXTSTORAGE_KIND_BASIC)
| PAG1TextStorageElement (PAG1ParserState &state, IWORKStylesheetPtr_t &mainMap, const PAGTextStorageKind kind=PAG_TEXTSTORAGE_KIND_BASIC)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKTextStorageElement >
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKTextStorageElement, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
| IWORKXMLContextBase (PAG1ParserState &state, const T &a)
PAG1ParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKTextStorageElement
| IWORKTextStorageElement (IWORKXMLParserState &state)
| IWORKTextStorageElement (IWORKXMLParserState &state, IWORKStylesheetPtr_t &mainMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
PAGTextStorageKind | m_kind
bool | m_textOpened

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKTextStorageElement, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKTextStorageElement
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
void | sendStylesheet ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKTextStorageElement, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state
Protected Attributes inherited from libetonyek::IWORKTextStorageElement
IWORKStylesheetPtr_t * | m_stylesheet
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1TextStorageElement() [1/2]

libetonyek::PAG1TextStorageElement::PAG1TextStorageElement | ( | PAG1ParserState & | state,
|  | const PAGTextStorageKind | kind = PAG_TEXTSTORAGE_KIND_BASIC )
| explicit

## ◆ PAG1TextStorageElement() [2/2]

libetonyek::PAG1TextStorageElement::PAG1TextStorageElement | ( | PAG1ParserState & | state,
|  | IWORKStylesheetPtr_t & | mainMap,
|  | const PAGTextStorageKind | kind = PAG_TEXTSTORAGE_KIND_BASIC )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1TextStorageElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::PAG1TextStorageElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_kind

PAGTextStorageKind libetonyek::PAG1TextStorageElement::m_kind
| private

Referenced by element(), endOfElement(), PAG1TextStorageElement(), and PAG1TextStorageElement().

## ◆ m_textOpened

bool libetonyek::PAG1TextStorageElement::m_textOpened
| private

Referenced by element(), endOfElement(), PAG1TextStorageElement(), and PAG1TextStorageElement().

The documentation for this class was generated from the following files:

- PAG1TextStorageElement.h
- PAG1TextStorageElement.cpp